Bug 197389 - /etc/profile.d/kde.sh causes problems with zsh
/etc/profile.d/kde.sh causes problems with zsh
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-30 15:36 EDT by Gen Zhang
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-14 19:38:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gen Zhang 2006-06-30 15:36:12 EDT
Description of problem:


Version-Release number of selected component (if applicable):
3.5.3-0.2.fc5

How reproducible:
Everytime

Steps to Reproduce:
1. install kdelibs
2. install zsh
3. start zsh as a login shell
  
Actual results:
/etc/profile.d/kde.sh:4: = not found

Expected results:
No errors

Additional info:
The problem, as correctly pointed out by zsh, is on line 4.
   if [ $PRELINKING == "yes" ] ; then
if changed to
   if [ ${PRELINKING} = "yes" ] ; then
Things work correctly under bash and zsh. The {} is okay by bash, and = instead
of == is apparently more posix compliant too.
Comment 1 Ngo Than 2006-07-14 19:38:00 EDT
it's fixed in kdelibs-3.5.3-0.4.fc5

Note You need to log in before you can comment on or make changes to this bug.